import {
  Component, Input, OnChanges, SimpleChanges,
} from '@angular/core';
import { DiscoverZone } from '@overflow/commons-typescript/model/discovery';

@Component({
  selector: 'of-discovery-request-summary',
  templateUrl: './request-summary.component.html',
})
export class RequestSummaryComponent implements OnChanges {

  @Input() discoverZone: DiscoverZone;
  hostRange: string;
  hostExclude: string;
  portRange: string;
  portExclude: string;
  services: string[];

  constructor(
  ) {
  }

  ngOnChanges(changes: SimpleChanges): void {
    this.hostRange = this.discoverZone.discoverHost.firstScanRangev4
      + ' ~ '
      + this.discoverZone.discoverHost.lastScanRangev4;
    this.portRange = this.discoverZone.discoverHost.discoverPort.firstScanRange
     + ' ~ '
     + this.discoverZone.discoverHost.discoverPort.lastScanRange;
    this.services = this.discoverZone.discoverHost.discoverPort.discoverService.includeServices;
  }

}
