import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { DiscoveryRPCModule } from './discovery-rpc.module';
import { DiscoveryLoggerModule } from './discovery-logger.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';

import { UIModule } from '@overflow/shared/ui/ui.module';
import { ProbeModule } from '@overflow/probe/probe.module';
import { MetaModule } from '@overflow/meta/meta.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    UIModule,
    DiscoveryRPCModule,
    DiscoveryLoggerModule,
    ProbeModule,
    MetaModule
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ],
})
export class DiscoveryModule { }
