import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { FormsModule } from '@angular/forms';
import { DiscoveryModule } from '@overflow/discovery/discovery.module';
import { SensorModule } from '@overflow/sensor/sensor.module';
import { ProbeModule } from '@overflow/probe/probe.module';
import { MetaModule } from '@overflow/meta/meta.module';
import { UIModule } from '@overflow/shared/ui/ui.module';
import { TabbarModule } from '@app/commons/component/layout/tabbar/app.tabbar.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    UIModule,
    DiscoveryModule,
    SensorModule,
    ProbeModule,
    MetaModule,
    TabbarModule
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES
  ]
})
export class InfraModule { }
