import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MemberRESTModule } from './member-rest.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { UIModule } from '@overflow/shared/ui/ui.module';
import { QRCodeModule } from 'angularx-qrcode';
import { RecaptchaModule } from 'angular-google-recaptcha';

@NgModule({
  imports: [
    CommonModule,
    RouterModule,
    FormsModule,
    ReactiveFormsModule,
    MemberRESTModule,
    UIModule,
    QRCodeModule,
    RecaptchaModule.forRoot({
      siteKey: '6LflfVkUAAAAAG2cpX4FKFALKIpVXznzWa4j4Ddh',
    }),
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ],
})
export class MemberModule { }
