import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaInfraVendor, MetaVendorCrawler } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaVendorCrawlerService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByMetaInfraVendorID(metaInfraVendorID: number): Observable<MetaVendorCrawler[]> {
    return this.rpcService.call('MetaVendorCrawlerService.readAllByMetaInfraVendorID', metaInfraVendorID);
  }
}
