import { NgModule } from '@angular/core';
import { Routes, RouterModule, PreloadAllModules } from '@angular/router';
import { AuthGuard } from './commons/guard/auth.guard';

const routes: Routes = [
  { path: '', loadChildren: './pages/pages.module#PagesModule', canActivate: [AuthGuard]  },
  { path: 'auth', loadChildren: './pages/auth/auth-page.module#AuthPageModule' },
  { path: 'error', loadChildren: './pages/error/error-page.module#ErrorPageModule' },
  // { path: '**', redirectTo: 'error' },
];

@NgModule({
  imports: [RouterModule.forRoot(routes, {useHash: true, preloadingStrategy: PreloadAllModules})],
  exports: [RouterModule],
})
export class AppRoutingModule { }
