import { NgModule } from '@angular/core';

import { HttpClientModule } from '@angular/common/http';
import { AppRoutingModule } from './app-routing.module';
import { AppStoreModule } from './app-store.module';
import { AppL10NModule } from './app-l10n.module';
import { AppRPCModule } from './app-rpc.module';
import { AppRESTModule } from './app-rest.module';
import { AppLoggerModule } from './app-logger.module';

import { AppComponent } from './app.component';

import { CookieService } from 'ngx-cookie-service';
import { AuthGuard } from './commons/guard/auth.guard';
import { AuthService } from './commons/service/auth.service';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { AuthModule } from '@overflow/shared/auth/auth.module';

@NgModule({
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    HttpClientModule,
    AppRoutingModule,
    AppStoreModule,
    AppL10NModule,
    AppRPCModule,
    AppRESTModule,
    AppLoggerModule,
    AuthModule,
  ],
  declarations: [
    AppComponent,
  ],
  providers: [
    CookieService,
    AuthGuard,
    AuthService,
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
