import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';
import { MemberModule } from '@overflow/member/member.module';

import { AccountPageRoutingModule } from './account-page-routing.module';
import { AccountPageComponent } from './account-page.component';
import { ProfilePageComponent } from './profile/profile-page.component';
import { SettingsPageComponent } from './settings/settings-page.component';

export const COMPONENTS = [
  AccountPageComponent,
  ProfilePageComponent,
  SettingsPageComponent
];

@NgModule({
  imports: [
    CommonModule,
    AccountPageRoutingModule,
    UIModule,
    MemberModule,
    // NotificationModule,
  ],
  declarations: COMPONENTS
})
export class AccountPageModule { }
