import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MemberModule } from '@overflow/member/member.module';

import { AuthPageComponent } from './auth-page.component';
import { AuthPageRoutingModule } from './auth-page-routing.module';

import { SigninPageComponent } from './signin/signin-page.component';
import { SignupPageComponent } from './signup/signup-page.component';
import { ResetPasswordPageComponent } from './reset-password/reset-password-page.component';
import { ModifyPasswordPageComponent } from './reset-password/modify-password-page.component';

import {  } from '@app/commons/component/layout/banner/app.banner.component';
import { ConfirmSignupPageComponent } from '@app/pages/auth/confirm/confirm-signup-page.component';
import { ConfirmResetPasswordPageComponent } from '@app/pages/auth/confirm/confirm-reset-password-page.component';

export const COMPONENTS = [
  AuthPageComponent,
  SigninPageComponent,
  SignupPageComponent,
  ResetPasswordPageComponent,
  ModifyPasswordPageComponent,
  ConfirmSignupPageComponent,
  ConfirmResetPasswordPageComponent
];

@NgModule({
  imports: [
    CommonModule,
    AuthPageRoutingModule,
    MemberModule,
  ],
  declarations: COMPONENTS,
})
export class AuthPageModule { }
