import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { SensorTabPageComponent } from './sensor-tab-page.component';
import { SensorListPageComponent } from '@app/pages/sensors/sensor/sensor-list-page.component';
import { SensorDetailPageComponent } from '@app/pages/sensors/sensor/sensor-detail-page.component';

const routes: Routes = [
  {
    path: '',
    component: SensorTabPageComponent,
    children: [
      { path: 'list', component: SensorListPageComponent },
      { path: ':id/info', component: SensorDetailPageComponent },
      { path: ':id/history', component: null },
    ]
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SensorTabPageRoutingModule { }
